Quantification tool - Bug #918

Error message and warning message for Single Drug calculations
09/19/2013 06:45 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 09/19/2013
Priority: Urgent Due date: 09/23/2013
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 2.0 Spent time: 0.00 hour
Description

System is considering that percentage must be 100% at least for one medicine to allow users execute the forecasting, otherwise the
error message "At least one enrolled case or one expected case must be reported to execute the forecasting” is displayed. It doesn't
apply for single drugs. For single drugs, the percentage for each medicine cannot be greater than 100%, but it can be less, and the
total percentage (adding all medicines) can be greater or lower than 100%. Only for multidrug the total percentage must be exact
100%.

After entering 100% for one medicine, system display the warning message "At least one enrolled case and/or one expected case
should be reported for:" referring to the other medicines that have percentages less than 100%. It's not applicable for single drugs. In
this case, the warning message should be displayed for medicines with 0% (zero).

See qgtb file attached.

History

#1 - 09/20/2013 06:52 AM - Oleksii Kurasov
- Due date set to 09/20/2013
- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

This is a very interesting example. In example provided You, cast for any medicines less, then 50%. But monthly quantities are only 1. Validation
works as expected:

1. Apply less than 50% for each quantity.

2. Any quantity is 1

3. Lessthan 50% applied to 1is 0

4. So, total cases quantity is 0.

To check this, please input 2 to the any monthly quantity. Picture will be clear.
But some bugs fixed.

For expected cases implemented validation for >100%
For both expected and enrolled disabled negative numbers

#2 - 09/20/2013 06:04 PM - Luis Gustavo do Valle Bastos
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Correct the label of warning message for checking percentage of single drugs to "Percentage cannot be negative or greater than 100" (correct from
then to than)
#3 - 09/23/2013 05:37 AM - Oleksii Kurasov
- Due date changed from 09/20/2013 to 09/23/2013
- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 09/26/2013 05:54 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Okay.

Files

TestSingleSept19.gtb 33.4KB
